import React from 'react';
import {
	inject,
	observer,
} from 'mobx-react';
import Top from './Top';
import Dialog from './Dialog';
import '../../style/tax.less';

@inject('hrmTax')
@observer
export default class Tax extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmTax: store
		} = this.props;

		return (
			<div className='tax'>
				<Top store={store}/>
				<Dialog store={store}/>
			</div>
		);
	}
}